package com.iqser.red.service.persistence.management.v1.processor.dataexchange;

import lombok.Getter;

public enum ExportFilename {

    DOSSIER_TEMPLATE_META("dossierTemplate"),
    WATERMARK("watermark"),
    COLORS("colors"),
    DOSSIER_STATUS("dossierStatusList"),
    DOSSIER_ATTRIBUTES_CONFIG("dossierAttributesConfigList"),
    FILE_ATTRIBUTE_CONFIG("fileAttributeConfigList"),
    FILE_ATTRIBUTE_GENERAL_CONFIG("fileAttributeGeneralConfigList"),
    LEGAL_BASIS("legalBasisMappingList"),
    RULES("rules"),
    COMPONENT_RULES("componentRules"),
    DATE_FORMATS("dateFormats"),
    REPORT_TEMPLATE("reportTemplateList"),
    REPORT_TEMPLATE_MULTI_FILE(" (Multi-file)"),
    DOSSIER_TYPE("dossierType"),
    ENTRIES("entries"),
    FALSE_POSITIVES("falsePositives"),
    FALSE_RECOMMENDATION("falseRecommendations"),
    DELETED_ENTRIES("deletedEntries"),
    DELETED_FALSE_POSITIVES("deletedFalsePositives"),
    DELETED_FALSE_RECOMMENDATION("deletedFalseRecommendations"),
    COMPONENT_MAPPINGS_FOLDER("mappings"),
    COMPONENT_MAPPINGS_FILE("componentMappingsList"),
    COMPONENTS("components");

    @Getter
    private final String filename;


    ExportFilename(String filename) {

        this.filename = filename;
    }
}
